namespace OpenWarehouse.auth.api.Common.Exemptions;

public class AccountExemptions : Exception
{
    private Dictionary<string, string> _otherProblem;
    private string _message;
    private bool _accountExist;


    public bool AccountExist
    {
        get => _accountExist;
        set => _accountExist = value;
    }

    public string Message
    {
        get => _message;
        set => _message = value;
    }
    
    public Dictionary<string, string> OtherProblem
    {
        get => _otherProblem;
        set => _otherProblem = value;
    }

    public AccountExemptions(bool accountExist, string message, Dictionary<string, string>? otherProblem = null)
    {
        _otherProblem = otherProblem ?? new Dictionary<string, string>();
        _accountExist = accountExist;
        _message = message;
    }
}